Bug 224089 - missing libg2c.so link
missing libg2c.so link
Product: Fedora
Classification: Fedora
Component: compat-gcc-34 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2007-01-23 19:32 EST by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-24 03:45:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wart 2007-01-23 19:32:28 EST
Description of problem:

The link /usr/lib64/libg2c.so is missing from the compat-libf2c-34 package. 
This causes problems when trying to compile some programs that try to link
against libg2c.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install compat-libf2c-34
2.  Compile a program that links against g2c with -lg2c
Actual results:

The link step fails with:
/usr/bin/ld: cannot find -lg2c

Expected results:

The program links with no errors.

Additional info:

When I manually create the symbolic link, the link step succeeds:
# cd /usr/lib64
# ln -s /usr/lib64/libg2c.so.0.0.0 libg2c.so
Comment 1 Jakub Jelinek 2007-01-24 03:45:15 EST
The link is intentionally not in /usr/lib64/, but in gcc's lib directory.
If you need -lg2c, you should be using compat-gcc-34 compiler too, so either
link through g77 driver, or gcc34.

Note You need to log in before you can comment on or make changes to this bug.